%global packname  Rsamtools
%global rlibdir %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.16.0
Release:          3%{dist}
Summary:          R interface to samtools
Group:            Applications/Engineering 
# Only src/samtools is MIT, and we nuke that in %%prep
License:          Artistic 2.0
URL:              http://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
Patch0:           R-Rsamtools-zlibbioc.patch
Patch1:           R-Rsamtools-system-samtools.patch
Requires:         R-core >= 3.0.0 R-methods R-IRanges >= 1.21.10
Requires:         R-GenomicRanges >= 1.15.11 R-Biostrings >= 2.31.3
Requires:         R-BiocGenerics >= 0.1.3 R-XVector >= 0.3.2
Requires:         R-GenomeInfoDb >= 0.99.17
BuildRequires:    R-devel >= 3.0.0 tex(latex) R-methods R-IRanges-devel >= 1.21.10
BuildRequires:    R-GenomicRanges >= 1.15.11 R-Biostrings-devel >= 2.31.3
BuildRequires:    R-BiocGenerics >= 0.1.3 R-bitops R-XVector-devel >= 0.3.2
BuildRequires:    samtools-devel >= 0.1.19-5 R-GenomeInfoDb >= 0.99.17

%description 
This package provides an interface to the 'samtools', 'bcftools', 
and 'tabix' utilities (see 'LICENCE') for manipulating SAM 
(Sequence Alignment / Map), binary variant call (BCF) and 
compressed indexed tab-delimited (tabix) files. 

%package devel
Summary:          Development files for R-Rsamtools
Requires:         %{name}%{?_isa} = %{version}-%{release}
Requires:         samtools-devel

%description devel
Development files for R-Rsamtools.

%prep 
%setup -q -c -n %{packname}
%patch0 -p1 -b .zlibbioc
%patch1 -p1 -b .system-samtools

# Clean out local copy of samtools
# rm -rf %{packname}/src/samtools/*.h %{packname}/src/samtools/*.c

%build

%install
mkdir -p %{buildroot}%{rlibdir}
R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

pushd %{buildroot}%{rlibdir}/%{packname}/include
cd samtools
for i in /usr/include/samtools/*.h; do
   ln -s $i .
done
cd ..
cd tabix
ln -s /usr/include/samtools/bgzf.h .
ln -s /usr/include/samtools/kstring.h .
ln -s /usr/include/samtools/knetfile.h .
cd ..
popd

%check
# Testing tests optional deps we don't package
# _R_CHECK_FORCE_SUGGESTS_=false %%{_bindir}/R CMD check %%{packname}

%files
%dir %{rlibdir}/%{packname}/
%doc %{rlibdir}/%{packname}/doc/
%doc %{rlibdir}/%{packname}/html/
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta/
%{rlibdir}/%{packname}/R/
%{rlibdir}/%{packname}/usretc/
%{rlibdir}/%{packname}/extdata/
%{rlibdir}/%{packname}/help/
%{rlibdir}/%{packname}/scripts/
%{rlibdir}/%{packname}/unitTests/
%{rlibdir}/%{packname}/libs/

%files devel
%{rlibdir}/%{packname}/include/
%{rlibdir}/%{packname}/usrlib/

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 19 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.16.0-2
- Rebuild to fix debuginfo (#1113404)

* Mon Jun  9 2014 Tom Callaway <spot@fedoraproject.org> - 1.16.0-1
- update to 1.16.0

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 24 2014 Tom Callaway <spot@fedoraproject.org> - 1.14.2-1
- update to 1.14.2

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 1.12.0-1
- update to 1.12.0

* Fri Apr  5 2013 Tom Callaway <spot@fedoraproject.org> - 1.10.2-3
- add R-bitops as a BuildRequires
- fix license tag

* Mon Apr  1 2013 Tom Callaway <spot@fedoraproject.org> - 1.10.2-2
- cleanup spec (drop unnecessary macro for exec'ing R, unnecessary BR: R)

* Fri Feb 22 2013 Tom Callaway <spot@fedoraproject.org> - 1.10.2-1
- initial package
